package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: IdentityBindSubmitReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:30
 */
@Data
public class Nft013IdentityBindSubmitRespDto implements Serializable {
    private static final Nft013IdentityBindSubmitRespDto obj = new Nft013IdentityBindSubmitRespDto();
    public static Nft013IdentityBindSubmitRespDto getNew() {
        try {
            return (Nft013IdentityBindSubmitRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft013IdentityBindSubmitRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
